Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCFileData Class Reference

`#include <ExCFile.h>`

## Public Methods
| ExCFileData ()
| ExCFileData (int t, vector< ExCFileDataAction > s)
void | setType (int t)
int | getType (void)
void | setContent (vector< ExCFileDataAction > s)
void | addElement (ExCFileDataAction s)
vector< ExCFileDataAction > | getContent (void)
## Private Attributes
int | type
vector< ExCFileDataAction > | content

## Constructor & Destructor Documentation

ExCFileData | ( |  | ) | `[inline]`

| Definition at line 74 of file ExCFile.h. References FILE_EMPTY, and type.
    00074 { type = FILE_EMPTY; };

ExCFileData | ( | int | t,
|  | vector< ExCFileDataAction > | s
| ) | `[inline]`

| Definition at line 75 of file ExCFile.h. References content, and type.
    00075 { type = t; content = s; };

## Member Function Documentation

void addElement | ( | ExCFileDataAction | s | ) | `[inline]`

| Definition at line 79 of file ExCFile.h. References content. Referenced by ExCFileReader::getContent().
    00079 { content.push_back (s); }

vector<ExCFileDataAction> getContent | ( | void |  | ) | `[inline]`

| Definition at line 80 of file ExCFile.h. References content. Referenced by ExManagerCommand::LoadCommandFile(), and ExCFileWriter::setContent().
    00080 { return content; };

int getType | ( | void |  | ) | `[inline]`

| Definition at line 77 of file ExCFile.h. References type. Referenced by ExCFileReader::getContent(), ExManagerCommand::LoadCommandFile(), and ExCFileWriter::setContent().
    00077 { return type; };

void setContent | ( | vector< ExCFileDataAction > | s | ) | `[inline]`

| Definition at line 78 of file ExCFile.h. References content.
    00078 { content = s; };

void setType | ( | int | t | ) | `[inline]`

| Definition at line 76 of file ExCFile.h. References type. Referenced by ExCFileReader::getContent().
    00076 { type = t; };

## Field Documentation

vector<ExCFileDataAction> content`[private]`

| Definition at line 72 of file ExCFile.h. Referenced by addElement(), ExCFileData(), getContent(), and setContent().

int type`[private]`

| Definition at line 71 of file ExCFile.h. Referenced by ExCFileData(), getType(), and setType().

The documentation for this class was generated from the following file:

- ExCFile.h